Public Booking
Public booking page without authentication. External users can view available slots and book.
|
Endpoints
| GET | /api/v1/scheduler/p/{orgSlug}/{eventTypeSlug} | Get public event type info |
| GET | /api/v1/scheduler/p/{orgSlug}/{eventTypeSlug}/slots | Get available slots |
| POST | /api/v1/scheduler/p/{orgSlug}/{eventTypeSlug}/book | Book a slot |
GET
/api/v1/scheduler/p/{orgSlug}/{eventTypeSlug}Get public event type info
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
orgSlug | string | Optional | Organization slug |
eventTypeSlug | string | Optional | Event type slug |
Code Examples
curl "https://api.blueai.jp/api/v1/scheduler/p/acme-inc/intro-call" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/scheduler/p/{orgSlug}/{eventTypeSlug}/slotsGet available slots
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
orgSlug | string | Optional | Organization slug |
eventTypeSlug | string | Optional | Event type slug |
Code Examples
curl "https://api.blueai.jp/api/v1/scheduler/p/acme-inc/intro-call/slots" \
-H "Cookie: better-auth.session_token=<token>"POST
/api/v1/scheduler/p/{orgSlug}/{eventTypeSlug}/bookBook a slot
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
orgSlug | string | Optional | Organization slug |
eventTypeSlug | string | Optional | Event type slug |
Code Examples
curl -X POST "https://api.blueai.jp/api/v1/scheduler/p/acme-inc/intro-call/book" \
-H "Cookie: better-auth.session_token=<token>"